package com.iamberry.wechat.core.entity.game;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * 游戏信息实体类dto
 * @author 刘志伟
 *
 */
public class GameSystemDto implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = -6409382409380045844L;
	
	private Integer gameId;							//id
	
	private String gameName;						//游戏名称
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")  
	private Date gameStartDate;					//游戏开始时间
	@JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")  
	private Date gameEndDate;						//游戏结束时间
	
	private String gameDesc;						//游戏说明
	
	private Integer gameType;						//游戏类型 1:大转盘;2:刮刮卡
	
	private Integer gameThreshold;				//1:无门槛游戏;2:需要消费积分才能游戏;3:需要今天内有购物才能游戏，每个订单可以玩三次
	
	private Integer gameThresholdNum;		//如果g_type为2的情况下，那么此项必须填写，此为游戏一次的积分数

	public Integer getGameId() {
		return gameId;
	}

	public void setGameId(Integer gameId) {
		this.gameId = gameId;
	}

	public String getGameName() {
		return gameName;
	}

	public void setGameName(String gameName) {
		this.gameName = gameName;
	}

	public Date getGameStartDate() {
		return gameStartDate;
	}

	public void setGameStartDate(Date gameStartDate) {
		this.gameStartDate = gameStartDate;
	}

	public Date getGameEndDate() {
		return gameEndDate;
	}

	public void setGameEndDate(Date gameEndDate) {
		this.gameEndDate = gameEndDate;
	}

	public String getGameDesc() {
		return gameDesc;
	}

	public void setGameDesc(String gameDesc) {
		this.gameDesc = gameDesc;
	}

	public Integer getGameType() {
		return gameType;
	}

	public void setGameType(Integer gameType) {
		this.gameType = gameType;
	}

	public Integer getGameThreshold() {
		return gameThreshold;
	}

	public void setGameThreshold(Integer gameThreshold) {
		this.gameThreshold = gameThreshold;
	}

	public Integer getGameThresholdNum() {
		return gameThresholdNum;
	}

	public void setGameThresholdNum(Integer gameThresholdNum) {
		this.gameThresholdNum = gameThresholdNum;
	}

}
